---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# StorePostCartsCartShippingMethodReq

## Properties

<ParameterTypes parameters={[
  {
    "name": "data",
    "type": "`Record<string, any>`",
    "description": "Used to hold any data that the shipping method may need to process the fulfillment of the order. This depends on the fulfillment provider you're using.",
    "optional": true,
    "defaultValue": "{}",
    "expandable": false,
    "children": []
  },
  {
    "name": "option_id",
    "type": "`string`",
    "description": "ID of the shipping option to create the method from.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
